my dog learned polymorphism
The moose likes IDEs, Version Control and other tools and the fly likes Eclipse failure to install Subversive Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » IDEs, Version Control and other tools
Bookmark "Eclipse failure to install Subversive" Watch "Eclipse failure to install Subversive" New topic

Eclipse failure to install Subversive

Sverre Moe
Ranch Hand

Joined: Jul 10, 2007
Posts: 110
Previously when I have installed Subversive under Eclipse I have had no problem. I have just set up Eclipse on a new computer and configured Subversive in the install.

I have configured
Subversive SVN Connectors:

My problem is that the first update-site for Subversive is missing a plugin. The plugin "SVN Team Provider (Incubation) is not there (perhaps its there, but Eclipse does not recognize it). It is somehow missing.

If you look at the following instructions

There should be 3 choices to select in the "SVN Team Provider Plugin (Incubation)", but I only get two. I have tried several different mirrors, but them all give me only two choices where there should be 3.

I can not install the other choices of Subversive because the one that is missing is the svn core plugin.

The eclipse versjon is 3.3.2

I downloaded the archive of Subversive and took a look inside. There I found the SVN core plugin available. Either Eclipse does not find it or it has discarded it.
Mattis Stordalen

Joined: May 28, 2008
Posts: 2

I have the exact same problem. I even installed a clean Eclipse 3.3.2. I got the option the first time I contacted the update site. I got an error that it was missing a dependency.

So I exited the update wizard, enabled the Europe discovery site hoping that the missing dependency might be in there, but the consecutive tries the choice to install / was not there any more.

If you find any solution please post it here, I will do the same.
Mattis Stordalen

Joined: May 28, 2008
Posts: 2
I figured out a workaround.

Download the archived version of Subversive from here:

You'll notice it's the same version as the one on the update site.

Then extract from archive the folders:




You don't need any of the other files in the archive.
I agree. Here's the link:
subject: Eclipse failure to install Subversive
It's not a secret anymore!